Subject: PRACTICAL HOLISM website (fwd)

From: Victor Guest <[email-masked]>
Date: Tue, 27 Jan 1998 17:56:25 WST

To: Recipients of CHRM-GENERAL <[email-masked]>

Just a note to let people know that the website referenced below
has been remodeled with new features added. Some new articles,
some learning material. Feel free to use material, credit is nice. 
Commercial publishers please contact the author.

Peter

--

PRACTICAL HOLISM IN THE NORTHWEST: A JOURNAL OF PEOPLE, LAND, AND MONEY
is now available by subscription.  For more information, visit the
Resource Management News Service at:  http://www.orednet.org/~pdonovan